# Uses of Interface
org.eclipse.debug.core.sourcelookup.ISourcePathComputer

Packages that use ISourcePathComputer
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.

## Uses of ISourcePathComputer in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return ISourcePathComputer
Modifier and Type
Method
Description
`ISourcePathComputer`
ILaunchConfigurationType.`getSourcePathComputer()`
Returns the source path computer registered with this launch configuration type or `null` if unspecified.
`ISourcePathComputer`
ILaunchManager.`getSourcePathComputer(String id)`
Returns the source path computer extension registered with the given unique identifier, or `null` if none.
`ISourcePathComputer`
ILaunchManager.`getSourcePathComputer(ILaunchConfiguration configuration)`
Returns a source path computer to compute a default source lookup path for the given launch configuration, or `null` if a source path computer has not been registered for the associated launch configuration type.

## Uses of ISourcePathComputer in org.eclipse.debug.core.sourcelookup

Fields in org.eclipse.debug.core.sourcelookup declared as ISourcePathComputer
Modifier and Type
Field
Description
`protected ISourcePathComputer`
AbstractSourceLookupDirector.`fComputer`
Methods in org.eclipse.debug.core.sourcelookup that return ISourcePathComputer
Modifier and Type
Method
Description
`ISourcePathComputer`
AbstractSourceLookupDirector.`getSourcePathComputer()`
`ISourcePathComputer`
ISourceLookupDirector.`getSourcePathComputer()`
Returns the source path computer to use with this source lookup director, possibly `null`.
Methods in org.eclipse.debug.core.sourcelookup with parameters of type ISourcePathComputer
Modifier and Type
Method
Description
`void`
AbstractSourceLookupDirector.`setSourcePathComputer(ISourcePathComputer computer)`
`void`
ISourceLookupDirector.`setSourcePathComputer(ISourcePathComputer computer)`
Sets the source path computer for this source lookup director.